package com.ejie.ab79.service.inspecciones;

import java.util.List;

import javax.servlet.http.HttpServletResponse;

import com.ejie.ab79.model.AB63.EstablecimientosRegistrados;
import com.ejie.ab79.model.inspecciones.CampainasInspeccion;
import com.ejie.x38.dto.TableRequestDto;
import com.ejie.x38.dto.TableResponseDto;

/**
 * CampainasInspeccionService  
 * 
 *  
 */

public interface CampainasInspeccionService {

	CampainasInspeccion add(CampainasInspeccion campainasInspeccion);

	CampainasInspeccion update(CampainasInspeccion campainasInspeccion);

	CampainasInspeccion find(CampainasInspeccion campainasInspeccion);

	void remove(CampainasInspeccion campainasInspeccion);

	List<CampainasInspeccion> findAll(CampainasInspeccion campainasInspeccion, TableRequestDto tableRequestDto);

	List<CampainasInspeccion> findAllLike(CampainasInspeccion campainasInspeccion, TableRequestDto tableRequestDto,
			Boolean startsWith);

	TableResponseDto<CampainasInspeccion> filter(CampainasInspeccion filterCampainasInspeccion,
			TableRequestDto tableRequestDto, Boolean startsWith);

	Integer calcularNumeroInspeccionados(CampainasInspeccion campainasInspeccion);

	void getExcel(List<CampainasInspeccion> listaCampainas, HttpServletResponse response);

	EstablecimientosRegistrados aniadirEstablecimiento(EstablecimientosRegistrados establecimiento);

	List<CampainasInspeccion> findAllREST(CampainasInspeccion filterCampainas);

}
